package com.icomsys.main_vm.biz.rcp.monitoring.service;

import com.icomsys.main_vm.db.mybatis.alias.MonitoringConsultingVO;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.HashMap;
import java.util.List;

@Service
public interface MonitoringConsultingService {
    List<HashMap> consultingList(MonitoringConsultingVO vo);

    int selectConsultingListCnt(MonitoringConsultingVO vo);

    List<HashMap> selectRecordCallList(MonitoringConsultingVO vo);

    List<HashMap> selectScenarioSeqAndName(MonitoringConsultingVO vo);

    List<HashMap> selectCommonCodeAndDesc(MonitoringConsultingVO vo);

    int selectUserCallCnt(MonitoringConsultingVO vo);

    String playRecordFileFromS3(String path);

    void ExcelDownload(String fileName, List<?> data, List<String> title) throws IOException;
}
